curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/apps \
--header 'Authorization: Bearer <token>'[
{
"appSlug": "<string>",
"slug": "<string>",
"automations": [
{
"slug": "<string>",
"name": {
"fr": "Bonjour",
"en": "Hello"
},
"arguments": {},
"description": {
"fr": "Bonjour",
"en": "Hello"
}
}
],
"events": {
"emit": [
"<string>"
],
"listen": [
"<string>"
],
"autocomplete": [
{
"event": "prismeaiMessenger.message",
"autocomplete": {}
}
]
},
"blocks": [
{
"slug": "<string>",
"url": "<string>",
"edit": {
"type": "string",
"title": {
"en": "User ID"
},
"description": {
"en": "The unique identifier of the user"
},
"secret": {
"type": "boolean"
},
"event": {
"type": "boolean"
}
},
"name": {
"fr": "Bonjour",
"en": "Hello"
},
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"arguments": {}
}
],
"appName": {
"fr": "Bonjour",
"en": "Hello"
},
"appVersion": "<string>",
"disabled": true,
"labels": [
"<string>"
],
"updatedAt": "<string>",
"createdAt": "<string>",
"updatedBy": "<string>",
"createdBy": "<string>",
"checksum": "<string>",
"photo": "<string>"
}
]List App Instances
Get installed aps
curl --request GET \
--url https://api.studio.prisme.ai/v2/workspaces/{workspaceId}/apps \
--header 'Authorization: Bearer <token>'[
{
"appSlug": "<string>",
"slug": "<string>",
"automations": [
{
"slug": "<string>",
"name": {
"fr": "Bonjour",
"en": "Hello"
},
"arguments": {},
"description": {
"fr": "Bonjour",
"en": "Hello"
}
}
],
"events": {
"emit": [
"<string>"
],
"listen": [
"<string>"
],
"autocomplete": [
{
"event": "prismeaiMessenger.message",
"autocomplete": {}
}
]
},
"blocks": [
{
"slug": "<string>",
"url": "<string>",
"edit": {
"type": "string",
"title": {
"en": "User ID"
},
"description": {
"en": "The unique identifier of the user"
},
"secret": {
"type": "boolean"
},
"event": {
"type": "boolean"
}
},
"name": {
"fr": "Bonjour",
"en": "Hello"
},
"description": {
"fr": "Bonjour",
"en": "Hello"
},
"arguments": {}
}
],
"appName": {
"fr": "Bonjour",
"en": "Hello"
},
"appVersion": "<string>",
"disabled": true,
"labels": [
"<string>"
],
"updatedAt": "<string>",
"createdAt": "<string>",
"updatedBy": "<string>",
"createdBy": "<string>",
"checksum": "<string>",
"photo": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace id
Response
Success Response
App unique id
Unique & human readable id across current workspace's appInstances, which will be used to call this app automations
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
string, number, object, array, boolean, localized:string, localized:number, localized:boolean Recursive reference to TypedArgument — nesting is truncated here to avoid the infinite expansion that crashes the API reference renderer.
{
"type": "string",
"title": { "en": "User ID" },
"description": { "en": "The unique identifier of the user" },
"secret": { "type": "boolean" },
"event": { "type": "boolean" }
}
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
"prismeaiMessenger.message"
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
string, number, object, array, boolean, localized:string, localized:number, localized:boolean Recursive reference to TypedArgument — nesting is truncated here to avoid the infinite expansion that crashes the API reference renderer.
{
"type": "string",
"title": { "en": "User ID" },
"description": { "en": "The unique identifier of the user" },
"secret": { "type": "boolean" },
"event": { "type": "boolean" }
}
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
string, number, object, array, boolean, localized:string, localized:number, localized:boolean Recursive reference to TypedArgument — nesting is truncated here to avoid the infinite expansion that crashes the API reference renderer.
{
"type": "string",
"title": { "en": "User ID" },
"description": { "en": "The unique identifier of the user" },
"secret": { "type": "boolean" },
"event": { "type": "boolean" }
}
Defaults to the latest known app version
If disabled, this appInstance will be ignored during execution
^[0-9A-Za-z._:-]{2,60}$Was this page helpful?